Last Comment Bug 765689 - most visited list contains repeat entries
: most visited list contains repeat entries
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Edmund Wong (:ewong)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 04:53 PDT by casio7131
Modified: 2012-07-24 07:22 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fixed the Most Visited list having repeat entries. (v1) (2.02 KB, patch)
2012-07-15 21:07 PDT, Edmund Wong (:ewong)
iann_bugzilla: review+
Details | Diff | Review

Description casio7131 2012-06-18 04:53:59 PDT
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:13.0) Gecko/20120615 Firefox/13.0.1 SeaMonkey/2.10.1
Build ID: 20120615050225

Steps to reproduce:

Open "most visited" list on toolbar and examine list.


Actual results:

There are now 19 entries in the list, with entries 2-10 being repeated in entries 11-19.



Expected results:

The list should have 10 entries and there should be no repeated entries.

Note, this unexpected behaviour occurred after I auto updating to Mozilla/5.0 (Windows NT 5.1; rv:13.0) Gecko/20120615 Firefox/13.0.1 SeaMonkey/2.10.1.
Comment 1 casio7131 2012-06-18 05:57:17 PDT
I've just confirmed this on my home computer.  Before update, the list had 10 entries.  After update, the list has 19 entries.
Comment 2 Phoenix 2012-06-18 09:56:45 PDT
Confirming on
Build identifier: Mozilla/5.0 (Windows NT 5.2; rv:13.0) Gecko/20120615 Firefox/13.0.1 SeaMonkey/2.10.1
And Trunk
User agent: Mozilla/5.0 (Windows NT 5.2; rv:16.0) Gecko/16.0 Firefox/16.0a1 SeaMonkey/2.13a1
Build identifier: 20120615003002

Steps to reproduce:
1. Start SeaMonkey
2. Open Most Visited at bookmarks toolbar
3. Close it and open again
Actual results:
On second open all items in Most Visited are listed twice.
Comment 3 therube 2012-06-18 13:40:46 PDT
Note:

This happens on the window level.
(So once you've done it, open a new windows to see it happen again.)
Comment 4 Edmund Wong (:ewong) 2012-07-15 21:07:02 PDT
Created attachment 642476 [details] [diff] [review]
Fixed the Most Visited list having repeat entries. (v1)
Comment 5 Edmund Wong (:ewong) 2012-07-24 07:22:19 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/57c3f9d1dcf9

Note You need to log in before you can comment on or make changes to this bug.